--英雄殿 选择Item
Lua_HeroAssemblyItem = class("Lua_HeroAssemblyItem", Lua_ListCell);
function Lua_HeroAssemblyItem:ctor(p, skin)
	self:superCall("ctor", p, skin);
end

function Lua_HeroAssemblyItem:buildShowItem()
	self:superCall("buildShowItem");
	self.beforeSelect = false;
	self:addLuaEvent("SELECT_HEROASSEMBLY_STAR", self, self.setSelectShow);

	self.heroItem = Lua_ItemIcon.new(self.content);
	self.heroItem:setScale(0.9, 0.9);
end

function Lua_HeroAssemblyItem:dispose()
	if self.heroItem ~= nil then
		self.heroItem:dispose();
		self.heroItem = nil;
	end
	self.data = nil;
	self:superCall("dispose");
end

function Lua_HeroAssemblyItem:setData(data)
	if data == nil then
		return;
	end
	self.data = data;
	self.heroItem:setData(data);
	self:setSelectShow();
end

function Lua_HeroAssemblyItem:onPressClick()
	if self.data == nil then
		return;
	end
	DataCenter.heroAssemblyData.selectHeroVo = self.data;
	Lua_MsgUtil.callFunc("SELECT_HEROASSEMBLY_STAR", self.data);
end

function Lua_HeroAssemblyItem:setSelectShow()
	self.isSelect = self.data == DataCenter.heroAssemblyData.selectHeroVo;
	if self.beforeSelect == self.isSelect then return end;
	self.beforeSelect = self.isSelect;
	self:updateSelectShow(self.isSelect);
end

function Lua_HeroAssemblyItem:updateSelectShow(val)
	if val then
		if self.selectMaskBg == nil then
			self.selectMaskBg = UICreate.createUIAtlasImage(self.content, "common_altas_1", "ui_common_window_014", 0, 0, 0, 0);
		end
		self.selectMaskBg:setEnable(true);
	else
		if self.selectMaskBg ~= nil then
			self.selectMaskBg:setEnable(false);
		end
	end
end