--英雄殿 基本界面panel
Lua_HeroAssemblyPanel = class("Lua_HeroAssemblyPanel", Lua_DisplayObject);
function Lua_HeroAssemblyPanel:buildShowItem()
	self:superCall("buildShowItem");

	self.star_bg = UICreate.createUIAtlasImage(self.content, "common_altas_1", "ui_common_label_04", 0, -105, 0, 0);
	self.star_bg.anchorValue = 1;
	self.star_bg:setEnable(false);

	self.star_level = UICreate.createLabel(self.content, nil, 0, -102, 50, 35, 24);
	self.star_level.anchorValue = 1;
	self.star_level.fontName = "fangzheng_font";
	self.star_level.alignmentValue = 4;
	self.star_level.colorStr = Lua_ColorDefine.transColorStr("4E4846");
	self.star_level.effectStyle = 2;
   	self.star_level.effectColorStr = Lua_ColorDefine.transColor("ffffff");
   	self.star_level:setEffectDistance(1, 1);
   	self.star_level:setEnable(false);
end

function Lua_HeroAssemblyPanel:dispose()
	if self.star_bg ~= nil then
		self.star_bg:dispose();
		self.star_bg = nil;
	end
	if self.star_level ~= nil then
		self.star_level:dispose();
		self.star_level = nil;
	end
	if self.starArr ~= nil then
		self.starArr:dispose();
		self.starArr:clear();
		self.starArr = nil;
	end
	self:superCall("dispose");
end

function Lua_HeroAssemblyPanel:updateShowInfo()

end

function Lua_HeroAssemblyPanel:updateHeroSelect(data)

end

function Lua_HeroAssemblyPanel:showStar(star)
	if star ~= nil and star > 0 then
		local showStar = DataCenter.heroUtil:getShowStar(star);
		if star <= 10 then
	        if self.starArr == nil then
	            self.starArr = Array();
	        end
	        local len = self.starArr:getSize();
	        local spr = DataCenter.heroUtil:getStarSprite(star, 2);
	        local starWidth = 35;
	        local num = len;
	        if len < showStar then
	            num = showStar;
	        end
	        for i = 1, num do
	            local item = self.starArr[i];
	            if item == nil then
	                item = UICreate.createUIAtlasImage(self.content, "common_altas_1", "ui_common_label_06", 0, 0, 36, 35);
	                item.anchorValue = 1;
	                self.starArr:add(item);
	            else
	                item:setEnable(i <= showStar);
	            end  
	            item:setLocation(-1 * starWidth * showStar / 2 + starWidth * (i-1) + starWidth / 2, -105, 0);
	            item:setAltas("common_altas_1", spr);
	        end
	        self.star_bg:setEnable(false);
	        self.star_level:setEnable(false);
	    else
	        if self.starArr ~= nil then
	            local len = self.starArr:getSize();
	            for i = 1, len do
	                self.starArr[i]:setEnable(false);
	            end
	        end
	        self.star_bg:setEnable(true);
            self.star_level:setEnable(showStar > 0);
            self.star_level.text = showStar;
	    end
	else
		if self.starArr ~= nil then
            local len = self.starArr:getSize();
            for i = 1, len do
                self.starArr[i]:setEnable(false);
            end
        end
        self.star_bg:setEnable(false);
        self.star_level:setEnable(false);
	end
end

function Lua_HeroAssemblyPanel:showNone(bShow)
    if bShow then
        if self.noneText == nil then
            self.noneText = UICreate.createLabel(self.content, LanUtil.getValue(126434), 0, 380, 100, 40, 34);
            self.noneText.anchorValue = 7;
            self.noneText.pivotValue = 4;
            self.noneText.fontName = Lua_MyUISettings.huakangFontName;
            self.noneText.alignmentValue = 4;
            self.noneText.horizontalOverflowValue = 1;
            self.noneText.colorStr = Lua_ColorDefine.transColorStr("9C8472");
        end
        self.noneText:setEnable(true);
    else
        if self.noneText ~= nil then
            self.noneText:setEnable(false);
        end
    end
end